Fetch dispute

Returns the dispute on one payment, identified by the payment's charge ID. The response is the disputed Payment object with the dispute fields added: dispute_status, dispute_reason, dispute_amount, dispute_currency, dispute_date, and deadline_to_respond.

If the payment has no dispute, or isn't on your account, the call returns 404 with error_code: RECORD_NOT_FOUND and No dispute exists for the supplied payment ID.

🚧

Disputed payments can't be refunded

Once a payment has been disputed, Refund payment returns 422 with Charge is already disputed.

Path Params
string
required
Defaults to PAY-A1B2C3D4E5

Payment (charge) identifier of the disputed payment

Responses

429

Too many requests. You sent more than 100 requests in 30 seconds from one IP address. This response has no JSON body. See Rate limits.

500

Unexpected error

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json